
@font-face {
    font-family: harryPotter;
    src: url(../font/HARRYP__.TTF);
}

* {
    margin: 0;
    padding: 0;
}

body {
    background-image: url(../assets/blue.gif);
    background-repeat: no-repeat;
    background-size: cover;
    height: 110vh;
    width: 100vw;
    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
    color: white;
    font-family: harryPotter;
}


main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


h1 {
    margin: 30px;
    font-size: 50px;
}

footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: #4a5b7a;
    text-align: center;
    color: black;
}

footer a{
    color: #eb74d7;
}


label {
    padding: 5px;
    font-size: 20px;
}

#results {
    display: flex;
    width: 100%;
    opacity: 0;
    text-align: center;
    padding-top: 50px;
}

select {
    margin: 20px;
    margin-bottom: 30px;
}


/* BOTÃO  */
button {
    margin-top: 30px;
    background-color: #9CDBEF;
    padding: 10px;
    border-radius: 10px;
    font-size: 20px;
    cursor: pointer;
    margin-bottom: 20px;
    /* font-family: harryPotter; */
}

button:hover {
    background-color: #6677b7
}

button:active {
    background-color: #6677b7;
    box-shadow: 0 5px #666;
    transform: translateY(4px);
}

/* CLASSES  */
.conteudo {
    padding: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;

}

.codificadores {
    display: flex;
}

.codificador {
    margin-right: 100px;
}

.codeDecode {
    border: none;
}

/* TAMANHO PARA CELULARES MUITO PEQUENOS  */
@media screen and (min-width: 375px) {
    body {
        background-image: url('../assets/blue.gif');
        background-repeat: no-repeat;
        background-size: cover;
        height: 100vh;
        width: 100vw;
        display: flex;
        justify-content: center;
        align-items: center;
        color: white;
        font-family: harryPotter;
    }

    textarea {
        padding-left: 5px;
        border-radius: 10px;
    }
}